clang 10.0.0git

Functions
ExternalASTMerger.cpp File Reference
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/DeclObjC.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/AST/ExternalASTMerger.h"`
Include dependency graph for ExternalASTMerger.cpp:

Go to the source code of this file.

## Functions
template<typename DeclTy >
static bool | importSpecializations (DeclTy *D, ASTImporter *Importer)
static bool | importSpecializationsIfNeeded (Decl *D, ASTImporter *Importer)
| Imports specializations from template declarations that can be specialized. More...

## Function Documentation

## ◆ importSpecializations()

template<typename DeclTy >

static bool importSpecializations | ( | DeclTy * | D,
|  | ASTImporter * | Importer
| ) |  |
| static

Definition at line 455 of file ExternalASTMerger.cpp.

References clang::ASTImporter::Import().

Referenced by importSpecializationsIfNeeded().

## ◆ importSpecializationsIfNeeded()

static bool importSpecializationsIfNeeded | ( | Decl * | D,
|  | ASTImporter * | Importer
| ) |  |
| static

Imports specializations from template declarations that can be specialized.

Definition at line 467 of file ExternalASTMerger.cpp.

References importSpecializations().

Referenced by clang::ExternalASTMerger::FindExternalVisibleDeclsByName().